Bug 1307623 - htdig: FTBFS in rawhide
htdig: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: htdig (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:35 EST by Fedora Release Engineering
Modified: 2016-02-15 22:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-15 22:41:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (682.80 KB, text/plain)
2016-02-13 16:35 EST, Fedora Release Engineering
no flags Details
root.log (87.72 KB, text/plain)
2016-02-13 16:35 EST, Fedora Release Engineering
no flags Details
state.log (637 bytes, text/plain)
2016-02-13 16:35 EST, Fedora Release Engineering
no flags Details
patch to address this issue (2.48 KB, patch)
2016-02-14 01:44 EST, Ralf Corsepius
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:35:28 EST
Your package htdig failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12823121

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:35:31 EST
Created attachment 1124933 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:35:33 EST
Created attachment 1124934 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:35:34 EST
Created attachment 1124935 [details]
state.log
Comment 4 Ralf Corsepius 2016-02-14 01:44 EST
Created attachment 1126961 [details]
patch to address this issue

This package's sources suffer old age and c++14 compatibility issues.

Immediate trigger of the FTBFS is c++ having become stricter on "narrowing" (implicit unsigned char -> "signed char" casts).

A what I consider to a be pretty obvious patch, is in the attachment (patch against git master). Unless somebody objects, I'd apply it in near future.
Comment 5 Ralf Corsepius 2016-02-15 22:41:17 EST
Patch applied, package rebuilt for rawhide:
https://koji.fedoraproject.org/koji/taskinfo?taskID=13001888

Note You need to log in before you can comment on or make changes to this bug.